<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_background_color"
    tools:context=".ui.NowPlayingActivity">

    <ImageView
        android:id="@+id/back"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginTop="48dp"
        android:padding="12dp"
        android:src="@drawable/come_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:tint="@color/dart_blue_text" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        android:fillViewport="true"
        app:layout_constraintTop_toBottomOf="@+id/back">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/top"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView"
                    android:layout_width="230dp"
                    android:layout_height="230dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="80dp"
                    android:elevation="10dp"
                    app:cardCornerRadius="25dp">


                    <ImageView
                        android:id="@+id/imgRecord"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop" />
                    <View
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/cover_on_img" />
                    <com.soundapp.soundgags.setting.SetTxtView
                        android:id="@+id/title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/app_name"
                        android:textColor="@color/white"
                        android:textSize="21sp"
                        android:layout_gravity="bottom|center"
                        android:layout_marginBottom="10dp"
                        app:isBold="true" />
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:id="@+id/llSet"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/cardView"
                    android:layout_marginTop="36dp"
                    android:orientation="vertical">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layoutPlay"
                        android:layout_width="60dp"
                        android:layout_height="60dp"
                        android:layout_gravity="center"
                        android:layout_marginTop="10dp">

                        <ImageView
                            android:id="@+id/toPlay"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/trans_play_btn"
                            android:visibility="gone" />

                        <ImageView
                            android:id="@+id/playing"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/play_ing"
                            android:visibility="gone"
                            app:tint="@color/dart_blue_text" />

                        <ProgressBar
                            android:id="@+id/playLoading"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:indeterminateTint="@color/navi_text_color" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="25dp"
                        android:gravity="start"
                        android:layout_marginTop="20dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/im_timer"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:padding="2dp"
                            android:src="@drawable/clock_off_on" />

                        <ImageView
                            android:id="@+id/im_like"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_marginStart="15dp"
                            android:padding="5dp"
                            android:src="@drawable/me_add_love_selector" />
                        <View
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="1dp"/>
                        <ImageView
                            android:id="@+id/im_loop"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:padding="2dp"
                            android:layout_marginEnd="10dp"
                            android:layout_marginStart="15dp"
                            android:src="@drawable/cycle_selector"
                            />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layoutVolume"
                        android:layout_width="match_parent"
                        android:layout_height="52dp"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginVertical="20dp"
                        android:paddingEnd="10dp">

                        <ImageView
                            android:id="@+id/imLess"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:src="@drawable/sound_loud_jian"
                            app:tint="@color/dart_blue_text" />

                        <SeekBar
                            android:id="@+id/seekbar"
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="wrap_content"
                            android:maxHeight="8dp"
                            android:progress="10"
                            android:layout_marginTop="5dp"
                            android:progressDrawable="@drawable/joke_view_bg"
                            android:thumb="@drawable/media_no_playing" />
                        <ImageView
                            android:id="@+id/imMore"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:src="@drawable/sound_loud_jia"
                            app:tint="@color/dart_blue_text" />

                    </LinearLayout>

                </LinearLayout>
            </RelativeLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="0dp"
                android:layout_weight="1"/>
            <LinearLayout
                android:id="@+id/llrec"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.soundapp.soundgags.setting.SetTxtView
                    android:id="@+id/more"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="5dp"
                    android:text="@string/more_pranks"
                    android:textColor="@color/dart_blue_text"
                    android:textSize="18sp"
                    app:isBold="true"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/main_bottom_activity"
                    android:paddingVertical="10dp" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>